package com.ms.biz.service.impl;

import com.ms.biz.service.PlatformPurchaseOrderAddressService;
import com.ms.dal.entity.PlatformPurchaseOrderAddress;
import com.ms.dal.mapper.PlatformPurchaseOrderAddressMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class PlatformPurchaseOrderAddressServiceImpl implements PlatformPurchaseOrderAddressService {

    @Autowired
    private PlatformPurchaseOrderAddressMapper platformPurchaseOrderAddressMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return platformPurchaseOrderAddressMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(PlatformPurchaseOrderAddress record) {
        return platformPurchaseOrderAddressMapper.insert(record);
    }

    @Override
    public int insertSelective(PlatformPurchaseOrderAddress record) {
        return platformPurchaseOrderAddressMapper.insertSelective(record);
    }

    @Override
    public PlatformPurchaseOrderAddress selectByPrimaryKey(String id) {
        return platformPurchaseOrderAddressMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PlatformPurchaseOrderAddress record) {
        return platformPurchaseOrderAddressMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(PlatformPurchaseOrderAddress record) {
        return platformPurchaseOrderAddressMapper.updateByPrimaryKey(record);
    }

}




